<div class="dialog--header-title d-flex justify-content-center align-items-center">
  <h1 mat-dialog-title>Adjust Wallet Balance</h1>
</div>
<div class="d-flex justify-content-center align-items-center flex-row">
  <div class="w-80 justify-content-center">
    <mat-form-field class="w-100" floatLabel="never">
      <input matInput id="wallet-amount-input"
             [(ngModel)]="wallet.amount" currencyMask
             placeholder="Initial Balance" required
             (keydown.enter)="onAdjustBalanceWallet()"
             [options]="{ prefix: wallet.currencyCode + ' ', thousands: ',', decimal: '.', precision: 0, allowNegative: true}">
    </mat-form-field>
    <mat-error *ngIf="this.amountError">Please input valid amount</mat-error>
  </div>
</div>
<div>
  <button mat-raised-button class="mr-2" (click)="onClose()">Close</button>
  <button mat-raised-button id="adjust-balance-button" (click)="onAdjustBalanceWallet()" >Adjust</button>
</div>
